#pragma once

#include <Arduino.h>
#include <dhtnew.h>

#define LED1_PIN 9
#define LED2_PIN 6
#define LED3_PIN 5
#define LED4_PIN 3
#define FANA_PIN_PWM 10
#define FANA_PIN_EN 12
#define FANB_PIN_PWM 11
#define FANB_PIN_EN 13
#define BUZZER_PIN 4
#define DHT_PIN 2

#define FAN_ON_TEMP 35
#define FAN_SPEED 120

#define DHT_ERROR_VALUE -999

void setup();
void loop();

float readTemperature();
void turnFanOn();
void turnFanOff();
void turnLedOn();
void turnLedOff();
void buzz();